Package org.springframework.cglib.proxy

# Class UndeclaredThrowableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.cglib.core.CodeGenerationException
org.springframework.cglib.proxy.UndeclaredThrowableException

All Implemented Interfaces:
  `Serializable`

public class UndeclaredThrowableException extends CodeGenerationException
Used by `Proxy` as a replacement for `java.lang.reflect.UndeclaredThrowableException`.

Author:
  Juozas Baliuka
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UndeclaredThrowableException(Throwable t)`
Creates a new instance of `UndeclaredThrowableException` without detail message.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getUndeclaredThrowable()`

### Methods inherited from class org.springframework.cglib.core.CodeGenerationException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UndeclaredThrowableException

public UndeclaredThrowableException(Throwable t)
Creates a new instance of `UndeclaredThrowableException` without detail message.

## Method Details

### getUndeclaredThrowable

public Throwable getUndeclaredThrowable()